# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'real_page/version'

Gem::Specification.new do |spec|
  spec.name          = 'real_page'
  spec.version       = RealPage::VERSION
  spec.authors       = ['Tom Collier']
  spec.email         = ['collier@apartmentlist.com']

  spec.summary       = %q{A ruby client for RealPage Exchange}
  spec.homepage      = 'https://github.com/apartmentlist/real_page'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'faraday', '~> 0.9'
  spec.add_runtime_dependency 'multi_xml', '~> 0.5'
  spec.add_runtime_dependency 'nokogiri', '~> 1.6'
  spec.add_runtime_dependency 'ox', '~> 2.3'
  spec.add_runtime_dependency 'tzinfo', '~> 1.2'
  spec.add_runtime_dependency 'activesupport', '~> 5.2'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'pry-byebug', '~> 3.3'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.4'
  spec.add_development_dependency 'webmock', '~> 1.21'
end
